Raspbery Pi Problem mit apt-get "Problem parsing dependency"

  • Hallo Leute,

    ich verwende den Pi 4 mit einem installieren Pi Hole auf Raspian Basis.


    Ich habe schon einige Updates mit Apt-get durchgeführt. Leider gibt es jetzt ein Dependency Problem.



    Soweit ich recherchieren konnte gibt es in der Linux Welt nicht wirklich eine checkdsk Äquivalente. Habe ich trotzdem eine Möglichkeit dies zu reparieren oder würden ihr mir empfehlen das System komplett neu aufzusetzen

    :denker:


    vielen Dank für eure Hilfe

  • Benne die Datei /var/lib/dpkg/status und das Verzeichnis [tt]/var/lib/apt/lists[/tt ]um versuch es erneut. Wenn es nicht hilft kannst du ohne Bedenken beides wieder zurück umbennen

    Glaube ersetzt kein Wissen

  • Mir auch. Danke Xmodulo


    sudo mv /var/lib/dpkg/status /var/lib/dpkg/status.bak ##Backup-Kopie zur Sicherheit

    sudo touch /var/lib/dpkg/status ##erstelle eine leere Datei

    sudo apt update ## wird neue erstellt